curl --request POST \
--url https://app.fullenrich.com/api/v2/sub-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Europe"
}
'import requests
url = "https://app.fullenrich.com/api/v2/sub-accounts"
payload = { "name": "Acme Europe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Europe'})
};
fetch('https://app.fullenrich.com/api/v2/sub-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/sub-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Europe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/sub-accounts"
payload := strings.NewReader("{\n \"name\": \"Acme Europe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.fullenrich.com/api/v2/sub-accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Europe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/sub-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Europe\"\n}"
response = http.request(request)
puts response.read_body{
"id": "70ff6a88-6291-417d-b6cd-04f1ca123470",
"workspace_id": "2db5ea61-1752-42cf-8ea1-ab1da060cd0a",
"name": "Acme Europe",
"archived": false,
"created_at": "2026-08-05T09:30:00Z",
"updated_at": "2026-08-05T09:30:00Z"
}Create a Sub-account
Create a sub-account in the workspace associated with the API key. This workspace-level management request must not include the Sub-Account-ID header.
curl --request POST \
--url https://app.fullenrich.com/api/v2/sub-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Europe"
}
'import requests
url = "https://app.fullenrich.com/api/v2/sub-accounts"
payload = { "name": "Acme Europe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Europe'})
};
fetch('https://app.fullenrich.com/api/v2/sub-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/sub-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Acme Europe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/sub-accounts"
payload := strings.NewReader("{\n \"name\": \"Acme Europe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.fullenrich.com/api/v2/sub-accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Acme Europe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/sub-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Acme Europe\"\n}"
response = http.request(request)
puts response.read_body{
"id": "70ff6a88-6291-417d-b6cd-04f1ca123470",
"workspace_id": "2db5ea61-1752-42cf-8ea1-ab1da060cd0a",
"name": "Acme Europe",
"archived": false,
"created_at": "2026-08-05T09:30:00Z",
"updated_at": "2026-08-05T09:30:00Z"
}Sub-Account-ID header.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A unique name for the sub-account. Leading and trailing whitespace is removed before storage.
1 - 255"Acme Europe"
Response
Created
The sub-account ID. Use this value in the Sub-Account-ID header for scoped API calls.
"70ff6a88-6291-417d-b6cd-04f1ca123470"
The ID of the workspace that owns the sub-account.
"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"
The sub-account name.
"Acme Europe"
Whether the sub-account is archived.
false
When the sub-account was created.
"2026-08-05T09:30:00Z"
When the sub-account was last updated.
"2026-08-05T09:30:00Z"
Was this page helpful?